.body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: auto;
    margin: 0;
    /* padding: 0px; */
    background-color: #e5e5e5;
    transition: opacity 0.5s ease-out;
   
}

.container {
    text-align: center;
    border-radius: 15px;
    box-shadow: 10px 10px 25px var(--darkshadow),
    -24px -24px 45px var(--lightshadow);
    padding: 30px;
}

.pin-display {
    margin-bottom: 20px;
}

.circle {
    display: inline-block;
    width: 10px;
    height: 10px;
    border: 1px solid #3a3a3a;
    border-radius: 50%;
    margin: 10px 5px;
    transition: background-color 0.3s;
}

.filled {
    background-color: #3a3a3a;
}

.keypad button {
    border-radius: 25px;
    border: 0px;
    width: 50px;
    height: 50px;
    margin: 10px;
    font-size: 18px;
    transition: opacity 1s;
    background-color: #e5e5e5;
    box-shadow:  7px 7px 18px var(--darkshadow),
    -7px -7px 18px var(--lightshadow);
    color: #3a3a3a;
}



.shake {
    animation: shake 0.3s;
}

@keyframes shake {
    0% { transform: translateX(0); }
    25% { transform: translateX(-5px); }
    50% { transform: translateX(5px); }
    75% { transform: translateX(-5px); }
    100% { transform: translateX(0); }
}
